#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EStoreItemType {
    Invalid = -1,
    App = 0,
    Package = 1,
    Bundle = 2,
    Mtx = 3,
    Tag = 4,
    Creator = 5,
    HubCategory = 6,
}

impl EStoreItemType {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Invalid as i32 => Some(Self::Invalid),
            x if x == Self::App as i32 => Some(Self::App),
            x if x == Self::Package as i32 => Some(Self::Package),
            x if x == Self::Bundle as i32 => Some(Self::Bundle),
            x if x == Self::Mtx as i32 => Some(Self::Mtx),
            x if x == Self::Tag as i32 => Some(Self::Tag),
            x if x == Self::Creator as i32 => Some(Self::Creator),
            x if x == Self::HubCategory as i32 => Some(Self::HubCategory),
            _ => None,
        }
    }
}
